﻿namespace CoreLibrary
{
    /// <summary>
    /// Représente un jetons de couleur.
    /// </summary>
    public struct Jeton
    {
        /// <summary>
        /// Obtient la couleur du jeton.
        /// </summary>
        public readonly Couleur Couleur { get; private init; }

        /// <summary>
        /// Initialise une nouvelle instance de la structure Jeton avec la couleur spécifiée.
        /// </summary>
        /// <param name="couleur">La couleur du jeton.</param>
        public Jeton(Couleur couleur)
        {
            Couleur = couleur;
        }
    }
}
